<?php

use Illuminate\Support\Facades\Route;

// --------------------------
// Custom Backpack Routes
// --------------------------
// This route file is loaded automatically by Backpack\Base.
// Routes you generate using Backpack\Generators will be placed here.

Route::group([
    'prefix' => config('backpack.base.route_prefix', 'admin'),
    'middleware' => array_merge(
        (array) config('backpack.base.web_middleware', 'web'),
        (array) config('backpack.base.middleware_key', 'admin')
    ),
    'namespace' => 'App\Http\Controllers\Admin',
], function () { // custom admin routes
    Route::crud('user', 'UserCrudController');
    
    Route::crud('news-catalog', 'NewsCatalogCrudController');
    Route::crud('news', 'NewsCrudController');
    Route::crud('event-catalog', 'EventCatalogCrudController');
    Route::crud('event', 'EventCrudController');
    Route::crud('product-catalog', 'ProductCatalogCrudController');
    Route::crud('product-application', 'ProductApplicationCrudController');
    Route::crud('product', 'ProductCrudController');
    Route::crud('support-technical', 'SupportTechnicalCrudController');
    Route::crud('support-sale', 'SupportSaleCrudController');
    Route::crud('support-distribution-partner-catalog', 'SupportDistributionPartnerCatalogCrudController');
    Route::crud('support-distribution-partner', 'SupportDistributionPartnerCrudController');
    Route::crud('support-ecosystem-partner-catalog', 'SupportEcosystemPartnerCatalogCrudController');
    Route::crud('support-ecosystem-partner', 'SupportEcosystemPartnerCrudController');
    Route::crud('home-carousel', 'HomeCarouselCrudController');
}); // this should be the absolute last line of this file